# __gnu_parallel::_PMWMSSortingData< _RAIter > Struct Template Reference

Data accessed by all threads. More...

List of all members.

## Public Types

- typedef
  _TraitsType::difference_type _DifferenceType
- typedef std::iterator_traits
  < _RAIter > _TraitsType
- typedef _TraitsType::value_type _ValueType

## Public Attributes

- _ThreadIndex _M_num_threads
- _DifferenceType * _M_offsets
- std::vector< _Piece
  < _DifferenceType > > * _M_pieces
- _ValueType * _M_samples
- _RAIter _M_source
- _DifferenceType * _M_starts
- _ValueType ** _M_temporary

## Detailed Description

### template<typename _RAIter>
struct __gnu_parallel::_PMWMSSortingData< _RAIter >

Data accessed by all threads.

PMWMS = parallel multiway mergesort

Definition at line 61 of file multiway_mergesort.h.

## Member Data Documentation

template<typename _RAIter>

_ThreadIndex __gnu_parallel::_PMWMSSortingData< _RAIter >::_M_num_threads

Number of threads involved.

Definition at line 68 of file multiway_mergesort.h.

Referenced by __gnu_parallel::parallel_sort_mwms(), and __gnu_parallel::parallel_sort_mwms_pu().

template<typename _RAIter>

_DifferenceType* __gnu_parallel::_PMWMSSortingData< _RAIter >::_M_offsets

Offsets to add to the found positions.

Definition at line 83 of file multiway_mergesort.h.

Referenced by __gnu_parallel::parallel_sort_mwms().

template<typename _RAIter>

std::vector<_Piece<_DifferenceType> >* __gnu_parallel::_PMWMSSortingData< _RAIter >::_M_pieces

Pieces of data to merge ``[thread][__sequence].

Definition at line 86 of file multiway_mergesort.h.

Referenced by __gnu_parallel::parallel_sort_mwms(), and __gnu_parallel::parallel_sort_mwms_pu().

template<typename _RAIter>

_ValueType* __gnu_parallel::_PMWMSSortingData< _RAIter >::_M_samples

Samples.

Definition at line 80 of file multiway_mergesort.h.

Referenced by __gnu_parallel::__determine_samples(), and __gnu_parallel::parallel_sort_mwms().

template<typename _RAIter>

_RAIter __gnu_parallel::_PMWMSSortingData< _RAIter >::_M_source

Input __begin.

Definition at line 71 of file multiway_mergesort.h.

Referenced by __gnu_parallel::__determine_samples(), __gnu_parallel::parallel_sort_mwms(), and __gnu_parallel::parallel_sort_mwms_pu().

template<typename _RAIter>

_DifferenceType* __gnu_parallel::_PMWMSSortingData< _RAIter >::_M_starts

Start indices, per thread.

Definition at line 74 of file multiway_mergesort.h.

Referenced by __gnu_parallel::__determine_samples(), __gnu_parallel::parallel_sort_mwms(), and __gnu_parallel::parallel_sort_mwms_pu().

template<typename _RAIter>

_ValueType** __gnu_parallel::_PMWMSSortingData< _RAIter >::_M_temporary

Storage in which to sort.

Definition at line 77 of file multiway_mergesort.h.

Referenced by __gnu_parallel::parallel_sort_mwms(), and __gnu_parallel::parallel_sort_mwms_pu().

The documentation for this struct was generated from the following file:

- multiway_mergesort.h